Name:           plzip
Version:        0.6
Release:        1%{?dist}
Summary:        LZMA compressor with integrity checking

Group:          Applications/File
License:        GPLv3+
URL:            http://www.nongnu.org/lzip/plzip.html
Source0:        http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): info
Requires(preun): info

%description
Plzip is a massively parallel (multi-threaded), lossless
data compressor based on the LZMA algorithm, with very
safe integrity checking and a user interface similar to
the one of gzip or bzip2.
Plzip uses the lzip file format; the files produced by
plzip are fully compatible with lzip-1.4 or newer. 

%package devel
Summary: Header files developing apps which will use plzip
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files of plzip, for developing apps which will
use the library.


%prep
%setup -q
# file needs to be copied, because it is used in "make check"
cp -a COPYING{,.txt}
# convert CRLF to LF
sed -i 's/\r//' COPYING.txt 


%build
%configure CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install install-man DESTDIR=$RPM_BUILD_ROOT

%{__mkdir} -p $RPM_BUILD_ROOT/%{_includedir}
%{__install} -m 0644 %{name}.h $RPM_BUILD_ROOT/%{_includedir}

# if install-info is present, this is created by upstream's makefile
rm -Rf $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
# TODO is currently empty
%doc AUTHORS ChangeLog COPYING.txt NEWS README
%{_bindir}/%{name}
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*


%changelog
* Sun Apr 04 2010 Daniel B. <daniel@firewall-services.com> - 0.6-1
- Initial release

